<?php
// This file is part of Moodle - https://moodle.org/
//
// Moodle is free software: you can redistribute it and/or modify
// it under the terms of the GNU General Public License as published by
// the Free Software Foundation, either version 3 of the License, or
// (at your option) any later version.
//
// Moodle is distributed in the hope that it will be useful,
// but WITHOUT ANY WARRANTY; without even the implied warranty of
// MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
// GNU General Public License for more details.
//
// You should have received a copy of the GNU General Public License
// along with Moodle.  If not, see <https://www.gnu.org/licenses/>.

/**
 * Strings for component 'lesson', language 'cy', version '2.9'.
 *
 * @package     lesson
 * @category    string
 * @copyright   1999 Martin Dougiamas and contributors
 * @license     https://www.gnu.org/copyleft/gpl.html GNU GPL v3 or later
 */

defined('MOODLE_INTERNAL') || die();

$string['accesscontrol'] = 'Rheoli mynediad';
$string['actionaftercorrectanswer'] = 'Cam i\'w gymryd ar ôl ateb cywir';
$string['actionaftercorrectanswer_help'] = 'Ar ôl ateb cwestiwn yn gywir, ceir 3 opsiwn ar gyfer y dudalen ganlynol:
* Arferol - Dilyn llwybr y wers
* Dangos tudalen sydd heb ei gweld - Caiff tudalennau eu dangos ar hap ac ni fydd dim un dudalen yn ymddangos ddwywaith
* Dangos tudalen sydd heb ei hateb - Caiff tudalennau eu dangos ar hap, gyda thudalennau sy\'n cynnwys cwestiynau heb eu hateb yn cael eu dangos eto';
$string['actions'] = 'Camau';
$string['activitylink'] = 'Creu dolen at weithgaredd';
$string['activitylink_help'] = 'Darparu dolen at weithgaredd arall yn y cwrs ar ddiwedd y wers, dewiswch y gweithgaredd o\'r gwymprestr.';
$string['activitylinkname'] = 'Mynd i {$a}';
$string['addabranchtable'] = 'Ychwanegu tudalen gynnwys';
$string['addanendofbranch'] = 'Ychwanegu pen cangen';
$string['addanewpage'] = 'Ychwanegu tudalen newydd';
$string['addaquestionpage'] = 'Ychwanegu tudalen gwestiynau';
$string['addaquestionpagehere'] = 'Ychwanegu tudalen gwestiynau yma';
$string['addbranchtable'] = 'Ychwanegu tudalen gynnwys';
$string['addcluster'] = 'Ychwanegu clwstwr';
$string['addedabranchtable'] = 'Wedi ychwanegu tudalen gynnwys';
$string['addedanendofbranch'] = 'Wedi ychwanegu pen y gangen';
$string['addedaquestionpage'] = 'Wedi ychwanegu tudalen gwestiynau';
$string['addedcluster'] = 'Wedi ychwanegu clwstwr';
$string['addedendofcluster'] = 'Wedi ychwanegu pen y clwstwr';
$string['addendofcluster'] = 'Ychwanegu pen y clwstwr';
$string['addpage'] = 'Ychwanegu tudalen';
$string['anchortitle'] = 'Dechrau\'r prif gynnwys';
$string['and'] = 'A';
$string['answer'] = 'Ateb';
$string['answeredcorrectly'] = 'wedi\'i ateb yn gywir.';
$string['answersfornumerical'] = 'Dylai atebion i gwestiynau rhifol fod yn barau o werthoedd lleiaf a mwyaf sy\'n cyfateb';
$string['arrangebuttonshorizontally'] = 'Trefnu\'r botymau cynnwys ar draws?';
$string['attempt'] = 'Cynnig: {$a}';
$string['attempts'] = 'Cynigion';
$string['attemptsdeleted'] = 'Cynigion wedi\'u dileu';
$string['attemptsremaining'] = 'Mae gennych {$a} cynnig ar ôl';
$string['available'] = 'Ar gael o';
$string['averagescore'] = 'Sgôr cyfartalog';
$string['averagetime'] = 'Amser cyfartalog';
$string['branch'] = 'Cynnwys';
$string['branchtable'] = 'Cynnwys';
$string['cancel'] = 'Canslo';
$string['cannotfindanswer'] = 'Gwall: wedi methu dod o hyd i\'r ateb';
$string['cannotfindattempt'] = 'Gwall: wedi methu dod o hyd i\'r cynnig';
$string['cannotfindessay'] = 'Gwall: wedi methu dod o hyd i\'r traethawd';
$string['cannotfindfirstgrade'] = 'Gwall: wedi methu dod o hyd i\'r graddau';
$string['cannotfindfirstpage'] = 'Wedi methu dod o hyd i\'r dudalen gyntaf';
$string['cannotfindgrade'] = 'Gwall: wedi methu dod o hyd i\'r graddau';
$string['cannotfindnewestgrade'] = 'Gwall: wedi methu dod o hyd i\'r radd fwyaf newydd';
$string['cannotfindnextpage'] = 'Copi wrth gefn o wers: wedi methu dod o hyd i\'r dudalen nesaf!';
$string['cannotfindpagerecord'] = 'Ychwanegu pen y gangen: heb ddod o hyd i gofnod y dudalen';
$string['cannotfindpages'] = 'Wedi methu dod o hyd i\'r tudalennau gwers';
$string['cannotfindpagetitle'] = 'Cadarnhau dileu: wedi methu dod o hyd i deitl y dudalen';
$string['cannotfindpreattempt'] = 'Doedd dim modd dod o hyd i gofnod o\'r cynnig blaenorol!';
$string['cannotfindrecords'] = 'Gwall: wedi methu dod o hyd i gofnodion y wers';
$string['cannotfindtimer'] = 'Gwall: wedi methu dod o hyd i\'r cofnodion lesson_timer';
$string['cannotfinduser'] = 'Gwall: wedi methu dod o hyd i ddefnyddwyr';
$string['canretake'] = '{$a} yn gallu ail-gynnig';
$string['casesensitive'] = 'Defnyddio mynegiannau rheolaidd';
$string['casesensitive_help'] = 'Ticiwch y blwch i ddefnyddio mynegiannau rheolaidd ar gyfer dadansoddi ymatebion.';
$string['checkbranchtable'] = 'Gwirio\'r tabl cynnwys';
$string['checkedthisone'] = 'Wedi gwirio\'r un yma.';
$string['checknavigation'] = 'Gwirio llywio';
$string['checkquestion'] = 'Gwirio\'r cwestiwn';
$string['classstats'] = 'Ystadegau\'r dosbarth';
$string['clicktodownload'] = 'Cliciwch ar y ddolen ganlynol i lwytho\'r ffeil i lawr.';
$string['clicktopost'] = 'Cliciwch yma i roi eich gradd ar y rhestr Sgoriau Uchel.';
$string['cluster'] = 'Clwstwr';
$string['clusterjump'] = 'Cwestiwn heb ei weld o fewn clwstwr';
$string['clustertitle'] = 'Clwstwr';
$string['collapsed'] = 'Wedi Crebachu';
$string['comments'] = 'Eich sylwadau';
$string['completed'] = 'Wedi cwblhau';
$string['completederror'] = 'Cwblhau\'r wers';
$string['completethefollowingconditions'] = 'Rhaid cwblhau\'r amodau canlynol yn y wers <b>{$a}</b> cyn y gallwch fwrw ymlaen.';
$string['conditionsfordependency'] = 'Amod(au) ar gyfer y ddibyniaeth';
$string['configactionaftercorrectanswer'] = 'Y cam diofyn i\'w gymryd yn dilyn ateb cywir';
$string['configmaxanswers'] = 'Y nifer ddiofyn o atebion ar bob tudalen';
$string['configmaxhighscores'] = 'Nifer y sgoriau uchel sy\'n cael eu dangos';
$string['configmediaclose'] = 'Dangos botwm cau fel rhan o\'r ffenestr naid sy\'n cael ei chreu ar gyfer ffeil cyfryngau y ceir dolen ati';
$string['configmediaheight'] = 'Mae\'n gosod uchder y ffenestr naid sy\'n ymddangos ar gyfer ffeil cyfryngau y ceir dolen ati';
$string['configmediawidth'] = 'Mae\'n gosod lled y ffenestr naid sy\'n ymddangos ar gyfer ffeil cyfryngau y ceir dolen ati';
$string['configslideshowbgcolor'] = 'Lliw cefndir y sioe sleidiau os yw wedi\'i alluogi';
$string['configslideshowheight'] = 'Mae\'n gosod uchder y sioe sleidiau os yw wedi\'i alluogi';
$string['configslideshowwidth'] = 'Mae\'n gosod lled y sioe sleidiau os yw wedi\'i alluogi';
$string['confirmdelete'] = 'Dileu tudalen';
$string['confirmdeletionofthispage'] = 'Cadarnhau dileu y dudalen hon';
$string['congratulations'] = 'Llongyfarchiadau - rydych chi wedi cyrraedd diwedd y wers';
$string['continue'] = 'Bwrw ymlaen';
$string['continuetoanswer'] = 'Bwrw ymlaen i newid atebion.';
$string['continuetonextpage'] = 'Bwrw ymlaen i\'r dudalen nesaf.';
$string['correctanswerjump'] = 'Naid ateb cywir';
$string['correctanswerscore'] = 'Sgôr ateb cywir';
$string['correctresponse'] = 'Ymateb cywir';
$string['credit'] = 'Credyd';
$string['customscoring'] = 'Sgorio personol';
$string['customscoring_help'] = 'Os yw\'r opsiwn hwn wedi\'i alluogi, gellir rhoi gwerth pwynt rhifol (positif neu negyddol) i bob ateb.';
$string['deadline'] = 'Dyddiad cau';
$string['defaultessayresponse'] = 'Bydd tiwtor y cwrs yn graddio eich traethawd.';
$string['deleteallattempts'] = 'Dileu pob cynnig ar wers';
$string['deletedefaults'] = 'Wedi dileu {$a} x gwers ddiofyn';
$string['deletedpage'] = 'Tudalen wedi\'i dileu';
$string['deleting'] = 'Wrthi\'n dileu';
$string['deletingpage'] = 'Wrthi\'n dileu\'r dudalen: {$a}';
$string['dependencyon'] = 'Yn ddibynnol ar';
$string['dependencyon_help'] = 'Mae\'r gosodiad hwn yn caniatáu i fynediad at y wers hon fod yn ddibynnol ar berfformiad myfyriwr mewn gwers arall yn yr un cwrs. Gellir defnyddio unrhyw gyfuniad o amser a dreuliwyd, yr hyn a gwblhawyd, neu "gradd well na".';
$string['description'] = 'Disgrifiad';
$string['detailedstats'] = 'Ystadegau manwl';
$string['didnotanswerquestion'] = 'Heb ateb y cwestiwn hwn.';
$string['didnotreceivecredit'] = 'Heb dderbyn credyd';
$string['displaydefaultfeedback'] = 'Dangos adborth diofyn';
$string['displaydefaultfeedback_help'] = 'Os yw wedi\'i alluogi, pan nad oes ymateb ar gyfer cwestiwn penodol, bydd yr ymateb diofyn, sef "Dyna\'r ateb cywir" neu "Dyna\'r ateb anghywir" yn cael ei ddangos.';
$string['displayhighscores'] = 'Dangos y sgoriau uchel';
$string['displayinleftmenu'] = 'Dangos ar y ddewislen chwith?';
$string['displayleftif'] = 'Dim ond dangos y ddewislen chwith os yw\'r radd yn uwch na';
$string['displayleftif_help'] = 'Mae\'r gosodiad hwn yn pennu a oes rhaid i fyfyriwr gael gradd benodol cyn y gall weld y ddewislen chwith. Mae hyn yn gorfodi\'r myfyriwr i fynd drwy\'r wers i gyd ar ei gynnig cyntaf, ac yna ar ôl cael y radd ofynnol gall ddefnyddio\'r ddewislen chwith i adolygu.';
$string['displayleftmenu'] = 'Dangos y ddewislen chwith';
$string['displayleftmenu_help'] = 'Os yw wedi\'i alluogi, bydd rhestr o dudalennau yn cael ei dangos.';
$string['displayofgrade'] = 'Dangos gradd (ar gyfer myfyrwyr yn unig)';
$string['displayreview'] = 'Darparu opsiwn i roi cynnig ar gwestiwn eto';
$string['displayreview_help'] = 'Os yw hwn wedi\'i alluogi, pan fydd cwestiwn yn cael ei ateb yn anghywir, bydd y myfyriwr yn cael dewis rhoi cynnig arall arni (ond ni fydd yn cael pwynt), neu fwrw ymlaen â\'r wers.';
$string['displayscorewithessays'] = 'Cawsoch {$a->score} allan o {$a->tempmaxgrade} am y cwestiynau sy\'n cael eu graddio\'n awtomatig.<br/> Bydd eich cwestiwn traethawd {$a->essayquestions} yn cael eu graddio a\'u hychwanegu <br />at eich sgôr derfynol yn nes ymlaen.<br /><br />Eich gradd bresennol, heb gynnwys y cwestiwn traethawd, yw {$a->score} allan o {$a->grade}';
$string['displayscorewithoutessays'] = 'Eich sgôr yw {$a->score} (allan o {$a->grade}).';
$string['edit'] = 'Golygu';
$string['editingquestionpage'] = 'Wrthi\'n golygu tudalen y cwestiwn {$a}';
$string['editlessonsettings'] = 'Golygu gosodiadau\'r wers';
$string['editpage'] = 'Golygu cynnwys y dudalen';
$string['editpagecontent'] = 'Golygu cynnwys y dudalen';
$string['email'] = 'E-bost';
$string['emailallgradedessays'] = 'E-bostio POB traethawd sydd wedi\'i raddio';
$string['emailgradedessays'] = 'E-bostio traethodau sydd wedi\'u graddio';
$string['emailsuccess'] = 'Wedi anfon y negeseuon e-bost yn llwyddiannus';
$string['emptypassword'] = 'Chaiff y cyfrinair ddim bod yn wag';
$string['endofbranch'] = 'Pen y gangen';
$string['endofcluster'] = 'Pen y clwstwr';
$string['endofclustertitle'] = 'Pen y clwstwr';
$string['endoflesson'] = 'Diwedd y wers';
$string['enteredthis'] = 'a roddodd hyn.';
$string['entername'] = 'Rhowch ffugenw ar gyfer y rhestr sgoriau uchel';
$string['enterpassword'] = 'Rhowch y cyfrinair i mewn:';
$string['eolstudentoutoftime'] = 'Dalier sylw: Mae amser y wers wedi dod i ben. Mae\'n bosib na fydd eich ateb diwethaf yn cyfri os gwnaethoch ateb ar ôl i\'r amser ddod i ben.';
$string['eolstudentoutoftimenoanswers'] = 'Wnaethoch chi ddim ateb unrhyw gwestiynau. Eich marc ar gyfer y wers hon yw 0.';
$string['essay'] = 'Traethawd';
$string['essayemailmessage'] = '<p>Neges atgoffa am draethawd:<blockquote>{$a->question}</blockquote></p><p>Eich ymateb:<blockquote><em>{$a->response}</em></blockquote></p><p>Sylwadau {$a->teacher}:<blockquote><em>{$a->comment}</em></blockquote></p><p>Rydych chi wedi cael {$a->earned} allan o {$a->outof} ar gyfer y cwestiwn traethawd hwn.</p><p>Mae eich gradd ar gyfer y wers wedi newid i {$a->newgrade}&#37;.</p>';
$string['essayemailmessage2'] = '<p>Neges atgoffa am draethawd:<blockquote>{$a->question}</blockquote></p><p>Eich ymateb:<blockquote><em>{$a->response}</em></blockquote></p><p>Sylwadau\'r graddiwr:<blockquote><em>{$a->comment}</em></blockquote></p><p>Rydych chi wedi cael {$a->earned} allan o {$a->outof} ar gyfer y cwestiwn traethawd hwn.</p><p>Mae eich gradd ar gyfer y wers wedi newid i {$a->newgrade}%.</p>';
$string['essayemailsubject'] = 'Eich gradd ar gyfer y cwestiwn {$a}';
$string['essays'] = 'Traethodau';
$string['essayscore'] = 'Sgôr traethawd';
$string['false'] = 'Gau';
$string['fileformat'] = 'Fformat y ffeil';
$string['finish'] = 'Gorffen';
$string['firstanswershould'] = 'Dylai\'r ateb cyntaf neidio i\'r dudalen "Cywir"';
$string['firstwrong'] = 'Mae\'n flin gennyf, ni allwch ennill y pwynt hwn oherwydd bod eich ymateb yn anghywir. Hoffech chi barhau i ddyfalu? (Eich unig wobr fydd y wefr o ddysgu - dim credyd pwyntiau)';
$string['flowcontrol'] = 'Rheoli llif';
$string['fractionsaddwrong'] = 'Nid yw\'r graddau positif a ddewsioch yn gwneud cyfanswm o 100%<br />Yn hytrach, maent yn gwneud cyfanswm o {$a}%<br />Ydych chi am fynd yn ôl i gywiro\'r cwestiwn hwn?';
$string['fractionsnomax'] = 'Dylai un o\'r atebion fod yn 100% fel ei fod yn <br/> bosibl cael gradd lawn ar gyfer y cwestiwn hwn. Ydych chi am fynd yn ôl i gywiro\'r cwestiwn hwn?';
$string['full'] = 'Wedi Ehangu';
$string['general'] = 'Cyffredinol';
$string['gotoendoflesson'] = 'Mynd i ddiwedd y wers';
$string['grade'] = 'Gradd';
$string['gradebetterthan'] = 'Gradd uwch na (&#37;)';
$string['gradebetterthanerror'] = 'Enillwch radd uwch na {$a} y cant';
$string['gradeessay'] = 'Graddio cwestiynau traethawd({$a->notgradedcount} heb eu graddio a {$a->notsentcount} heb eu hanfon)';
$string['gradeis'] = 'Y radd yw {$a}';
$string['gradeoptions'] = 'Dewisiadau gradd';
$string['handlingofretakes'] = 'Sut i drin ail-gynnig';
$string['handlingofretakes_help'] = 'Os caniateir ailgynigion, mae\'r gosodiad hwn yn nodi ai cymedr ynteu gyfanswm pob cynnig yw\'r radd a roddir ar gyfer y wers.';
$string['havenotgradedyet'] = 'Heb eu graddio eto.';
$string['here'] = 'yma';
$string['highscore'] = 'Sgôr uchel';
$string['highscores'] = 'Sgoriau uchel';
$string['hightime'] = 'Amser uchel';
$string['importcount'] = 'Mewngludo {$a} cwestiwn';
$string['importquestions'] = 'Mewngludo cwestiynau';
$string['importquestions_help'] = 'Mae\'r nodwedd hon yn ei gwneud yn bosib mewngludo cwestiynau mewn amrywiaeth o fformatau drwy ffeil testun.';
$string['insertedpage'] = 'Wedi mewnosod tudalen';
$string['invalidfile'] = 'Ffeil annilys';
$string['invalidid'] = 'Dim ID modiwl cwrs neu ID gwers wedi\'u pasio';
$string['invalidlessonid'] = 'Roedd ID y wers yn anghywir';
$string['invalidpageid'] = 'ID tudalen annilys';
$string['jump'] = 'Neidio';
$string['jumps'] = 'Neidiau';
$string['jumps_help'] = 'Mae gan bob ateb (ar gyfer cwestiwn) neu ddisgrifiad (ar gyfer tudalennau cynnwys) naid gyfatebol. Gall y naid fod yn gymharol, megis y dudalen hon neu\'r dudalen nesaf, neu\'n absoliwt, gan nodi unrhyw un o\'r tudalennau yn y wers.';
$string['jumpsto'] = 'Neidio i <em>{$a}</em>';
$string['leftduringtimed'] = 'Rydych chi wedi gadael yn ystod gwers wedi ei hamseru.<br />Cliciwch ar Bwrw Ymlaen i ailgychwyn y wers.';
$string['leftduringtimednoretake'] = 'Rydych chi wedi gadael yn ystod gwers wedi\'i hamseru ac<br />ni fyddwch yn cael ail-gymryd na bwrw ymlaen â\'r wers.';
$string['lesson:edit'] = 'Golygu gweithgaredd gwers';
$string['lesson:manage'] = 'Rheoli gweithgaredd gwers';
$string['lessonattempted'] = 'Wedi rhoi cynnig ar y wers';
$string['lessonclosed'] = 'Daeth y wers hon i ben ar {$a}.';
$string['lessoncloses'] = 'Gwers yn dod i ben';
$string['lessoncloseson'] = 'Gwers yn dod i ben ar {$a}';
$string['lessonformating'] = 'Wrthi\'n fformatio gwers';
$string['lessonmenu'] = 'Dewislen gwers';
$string['lessonnotready'] = 'Nid yw\'r wers hon yn barod i\'w chymryd. Cysylltwch â\'ch {$a} os gwelwch yn dda.';
$string['lessonnotready2'] = 'Nid yw\'r wers hon yn barod i\'w chymryd.';
$string['lessonopen'] = 'Bydd y wers hon ar agor ar {$a}.';
$string['lessonopens'] = 'Gwers yn agor';
$string['lessonpagelinkingbroken'] = 'Heb ddod o hyd i\'r dudalen gyntaf. Mae\'n rhaid bod dolen at dudalennau\'r wers wedi torri. Cysylltwch â gweinyddwr.';
$string['lessonstats'] = 'Ystadegau\'r wers';
$string['linkedmedia'] = 'Cyfryngau y ceir dolen atynt';
$string['loginfail'] = 'Heb lwyddo i fewngofnodi, rhowch gynnig arall arni...';
$string['lowscore'] = 'Sgôr isel';
$string['lowtime'] = 'Amser isel';
$string['manualgrading'] = 'Graddio traethodau';
$string['matchesanswer'] = 'Mae\'n cyd-fynd â\'r ateb';
$string['matching'] = 'Cyfateb';
$string['matchingpair'] = 'Pâr yn cyfateb {$a}';
$string['maxgrade'] = 'Gradd uchaf bosib';
$string['maxgrade_help'] = 'Mae\'r gosodiad hwn yn pennu\'r radd uchaf bosib ar gyfer y wers. Os yw wedi\'i osod ar 0, ni fydd y wers yn ymddangos yn y tudalennau graddau.';
$string['maxhighscores'] = 'Nifer y sgoriau uchel i\'w dangos';
$string['maximumnumberofanswersbranches'] = 'Nifer fwyaf o atebion';
$string['maximumnumberofanswersbranches_help'] = 'Mae\'r gosodiad hwn yn nodi uchafswm yr atebion y ceir eu defnyddio yn y wers. Os mai dim ond cwestiynau gwir/gau a ddefnyddir, gellir ei osod ar 2. Gellir newid y gosodiad unrhyw bryd, gan mai dim ond ar yr hyn y mae\'r athro\'n ei weld y mae\'n effeithio, nid y data.';
$string['maximumnumberofattempts'] = 'Nifer fwyaf o gynigion';
$string['maximumnumberofattempts_help'] = 'Mae\'r gosodiad hwn yn nodi uchafswm y cynigion a ganiateir ar gyfer pob cwestiwn. Os yw\'r ateb yn anghywir dro ar ôl tro, bydd tudalen nesaf y wers yn cael ei dangos ar ôl cyrraedd yr uchafswm.';
$string['maximumnumberofattemptsreached'] = 'Wedi cyrraedd y nifer fwyaf o gynigion - Wrthi\'n symud ymlaen i\'r dudalen nesaf';
$string['mediaclose'] = 'Dangos y botwm cau:';
$string['mediafile'] = 'Neidio i ffeil neu dudalen we';
$string['mediafile_help'] = 'I gynnwys ffenestr naid ar ddechrau gwers, dewiswch y ffeil briodol i\'w dangos. Bydd pob tudalen gwers yn cynnwys dolen i ailagor y ffenestr naid os oes angen.';
$string['mediafilepopup'] = 'Cliciwch yma i weld';
$string['mediaheight'] = 'Uchder y ffenestr naid:';
$string['mediawidth'] = 'Lled y ffenestr naid:';
$string['messageprovider:graded_essay'] = 'Hysbysiad graddio traethawd';
$string['minimumnumberofquestions'] = 'Nifer leiaf o gwestiynau';
$string['minimumnumberofquestions_help'] = 'Mae\'r gosodiad hwn yn nodi isafswm y cwestiynau a ddefnyddir i gyfrifo gradd ar gyfer y gweithgaredd. Os yw\'r wers yn cynnwys un neu ragor o dudalennau cynnwys, dylid gosod isafswm y cwestiynau ar sero.
Os yw wedi\'i osod ar 20, er enghraifft, argymhellir bod y testun canlynol yn cael ei ychwanegu at dudalen agoriadol y wers: "Yn y wers hon, mae disgwyl i chi roi cynnig ar o leiaf 20 cwestiwn. Gallwch roi cynnig ar ragor os dymunwch. Fodd bynnag, os byddwch chi\'n rhoi cynnig ar lai na 20 cwestiwn, bydd eich gradd yn cael ei chyfrifo fel petaech wedi rhoi cynnig ar 20."';
$string['missingname'] = 'Rhowch ffugenw';
$string['modattempts'] = 'Caniatáu i fyfyriwr adolygu';
$string['modattempts_help'] = 'Os yw wedi\'i alluogi, gall myfyrwyr lywio drwy\'r wers eto o\'r dechrau.';
$string['modattemptsnoteacher'] = 'Dim ond myfyrwyr sy\'n gallu adolygu.';
$string['modulename'] = 'Gwers';
$string['modulename_help'] = 'Mae\'r modiwl gwersi yn galluogi\'r athro i greu profiad dysgu addasol sy\'n cynnwys cyfres o dudalennau gyda chwestiynau arnynt.';
$string['modulename_link'] = 'mod/lesson/view';
$string['modulenameplural'] = 'Gwersi';
$string['move'] = 'Symud y dudalen';
$string['movedpage'] = 'Wedi symud y dudalen';
$string['movepagehere'] = 'Symud y dudalen i\'r fan yma';
$string['moving'] = 'Wrthi\'n symud y dudalen: {$a}';
$string['multianswer'] = 'Mwy nag un ateb';
$string['multianswer_help'] = 'Rhowch dic yn y blwch os oes mwy nag un ateb yn gywir.';
$string['multichoice'] = 'Amlddewis';
$string['multipleanswer'] = 'Mwy nag un ateb';
$string['nameapproved'] = 'Wedi cymeradwyo\'r enw';
$string['namereject'] = 'Mae\'n ddrwg gennyf, mae eich enw wedi cael ei wrthod. <br />Rhowch gynnig ar ddefnyddio enw arall.';
$string['new'] = 'newydd';
$string['nextpage'] = 'Tudalen nesaf';
$string['noanswer'] = 'Does dim ateb wedi\'i roi. Ewch yn ôl a rhoi ateb.';
$string['noattemptrecordsfound'] = 'Heb ddod o hyd i gofnodion am gynigion: heb roi gradd';
$string['nobranchtablefound'] = 'Heb ddod o hyd i dudalen cynnwys';
$string['nocommentyet'] = 'Dim sylw hyd yn hyn.';
$string['nocoursemods'] = 'Heb ddod o hyd i weithgareddau';
$string['nocredit'] = 'Dim credyd';
$string['nodeadline'] = 'Dim terfyn amser';
$string['noessayquestionsfound'] = 'Heb ddod o hyd i gwestiynau traethawd yn y wers hon.';
$string['nohighscores'] = 'Dim sgoriau uchel';
$string['nolessonattempts'] = 'Ni chafwyd unrhyw gynnig ar y wers hon.';
$string['nooneansweredcorrectly'] = 'Neb wedi ateb yn gywir.';
$string['nooneansweredthisquestion'] = 'Neb wedi ateb y cwestiwn hwn.';
$string['noonecheckedthis'] = 'Neb wedi gwirio hwn.';
$string['nooneenteredthis'] = 'Neb wedi rhoi hwn i mewn.';
$string['noonehasanswered'] = 'Neb wedi ateb cwestiwn traethawd hyd yn hyn.';
$string['noretake'] = 'Chewch chi ddim ail-gymryd y wers hon';
$string['normal'] = 'Normal - dilyn llwybr y wers';
$string['notcompleted'] = 'Heb ei gwblhau';
$string['notdefined'] = 'Heb ei ddiffinio';
$string['notenoughsubquestions'] = 'Nid oes digon o is-gwestiynau wedi cael eu diffinio!<br />Ydych chi am fynd yn ôl i gywiro\'r cwestiwn hwn?';
$string['nothighscore'] = 'Nid ydych wedi cyrraedd y {$a} uchaf yn y rhestr sgoriau uchel.';
$string['notitle'] = 'Dim teitl';
$string['numberofcorrectanswers'] = 'Nifer yr atebion cywir: {$a}';
$string['numberofcorrectmatches'] = 'Nifer y cyfatebiadau cywir: {$a}';
$string['numberofpagestoshow'] = 'Nifer y tudalennau i\'w dangos';
$string['numberofpagestoshow_help'] = 'Mae\'r gosodiad hwn yn nodi faint o dudalennau a ddangosir mewn gwers. Dim ond ar gyfer gwersi lle mae\'r tudalennau\'n cael eu dangos ar hap y mae hyn yn berthnasol, sef pan mae "Cam i\'w gymryd ar ôl ateb cywir" wedi\'i osod ar "Dangos tudalen sydd heb ei gweld" neu "Dangos tudalen sydd heb ei hateb". Os yw ar sero, bydd pob tudalen yn cael ei dangos.';
$string['numberofpagesviewed'] = 'Nifer y cwestiynau a atebwyd: {$a}';
$string['numberofpagesviewednotice'] = 'Nifer y cwestiynau a atebwyd: {$a->nquestions}; (Dylech ateb o leiaf: {$a->minquestions})';
$string['numerical'] = 'Rhifol';
$string['ongoing'] = 'Dangos y sgôr wrth fynd ymlaen';
$string['ongoing_help'] = 'Os yw wedi\'i alluogi, bydd pob tudalen yn dangos y pwyntiau mae\'r myfyriwr wedi eu hennill hyd yn hyn o\'r cyfanswm posib.';
$string['ongoingcustom'] = 'Rydych chi wedi ennill {$a->score} pwynt allan o {$a->currenthigh} pwynt hyd yn hyn.';
$string['ongoingnormal'] = 'Rydych chi wedi ateb {$a->correct} yn gywir allan o {$a->viewed} cynnig.';
$string['onpostperpage'] = 'Dim ond un ar gyfer pob gradd';
$string['options'] = 'Opsiynau';
$string['or'] = 'NEU';
$string['ordered'] = 'Mewn trefn';
$string['other'] = 'Arall';
$string['outof'] = 'Allan o {$a}';
$string['overview'] = 'Golwg gyffredinol';
$string['overview_help'] = 'Mae gwers yn cynnwys nifer o dudalennau a thudalennau cynnwys os dewisir hynny. Mae gan dudalen rywfaint o gynnwys ac fel rheol bydd yn gorffen gyda chwestiwn. Mae naid yn gysylltiedig â phob ateb i\'r cwestiwn. Gall y naid fod yn gymharol, er enghraifft y dudalen hon neu\'r dudalen nesaf, neu\'n absoliwt, yn nodi unrhyw un o\'r tudalennau yn y wers. Mae tudalen gynnwys yn cynnwys cyfres o ddolenni at dudalennau eraill yn y wers, er enghraifft, Tabl Cynnwys.';
$string['page'] = 'Tudalen: {$a}';
$string['page-mod-lesson-edit'] = 'Golygu tudalen gwers';
$string['page-mod-lesson-view'] = 'Gweld neu gael rhagolwg o\'r dudalen gwers';
$string['page-mod-lesson-x'] = 'Unrhyw dudalen gwers';
$string['pagecontents'] = 'Cynnwys tudalen';
$string['pages'] = 'Tudalennau';
$string['pagetitle'] = 'Teitl y dudalen';
$string['password'] = 'Cyfrinair';
$string['passwordprotectedlesson'] = 'Mae angen cyfrinair i fynd i\'r wers {$a}.';
$string['pleasecheckoneanswer'] = 'Dewiswch un ateb os gwelwch yn dda';
$string['pleasecheckoneormoreanswers'] = 'Dewiswch un neu fwy o atebion';
$string['pleaseenteryouranswerinthebox'] = 'Rhowch eich ateb yn y blwch';
$string['pleasematchtheabovepairs'] = 'Cysylltwch y parau uchod';
$string['pluginadministration'] = 'Gweinyddu\'r Modiwl Gwersi';
$string['pluginname'] = 'Gwers';
$string['pointsearned'] = 'Pwyntiau a enillwyd';
$string['postprocesserror'] = 'Digwyddodd gwall ar ôl prosesu!';
$string['postsuccess'] = 'Wedi llwyddo i anfon';
$string['practice'] = 'Gwers ymarfer';
$string['practice_help'] = 'Does dim gwers ymarfer yn ymddangos yn y llyfr graddau.';
$string['preprocesserror'] = 'Digwyddodd gwall cyn prosesu!';
$string['preview'] = 'Rhagolwg';
$string['previewlesson'] = 'Rhagolwg {$a}';
$string['previouspage'] = 'Tudalen flaenorol';
$string['processerror'] = 'Digwyddodd gwall wrth brosesu!';
$string['progressbar'] = 'Bar Cynnydd';
$string['progressbar_help'] = 'Os yw wedi\'i alluogi, bydd bar yn ymddangos ar waelod y tudalennau gwers gyda chanran yn dangos tua faint o\'r wers sydd wedi\'i chwblhau.';
$string['progressbarteacherwarning'] = 'Nid yw\'r bar cynnydd yn ymddangos ar gyfer {$a}';
$string['progressbarteacherwarning2'] = 'Wnewch chi ddim gweld y bar cynnydd gan eich bod yn gallu golygu\'r wers hon';
$string['qtype'] = 'Math o dudalen';
$string['question'] = 'Cwestiwn';
$string['questionoption'] = 'Cwestiwn';
$string['questiontype'] = 'Math o gwestiwn';
$string['randombranch'] = 'Tudalen gynnwys ar hap';
$string['randompageinbranch'] = 'Cwestiwn ar hap o fewn tudalen gynnwys';
$string['rank'] = 'Safle';
$string['rawgrade'] = 'Gradd grai';
$string['receivedcredit'] = 'Wedi derbyn credyd';
$string['redisplaypage'] = 'Ail-ddangos tudalen';
$string['report'] = 'Adroddiad';
$string['reports'] = 'Adroddiadau';
$string['response'] = 'Ymateb';
$string['retakesallowed'] = 'Caniatáu ailgynigion';
$string['retakesallowed_help'] = 'Os yw wedi\'i alluogi, gall myfyrwyr roi mwy nag un cynnig ar y wers.';
$string['returnto'] = 'Mynd yn ôl i {$a}';
$string['returntocourse'] = 'Mynd yn ôl i\'r cwrs';
$string['review'] = 'Adolygu';
$string['reviewlesson'] = 'Adolygu gwers';
$string['reviewquestionback'] = 'Iawn, hoffwn roi cynnig arall arni';
$string['reviewquestioncontinue'] = 'Na, hoffwn fynd ymlaen i\'r cwestiwn nesaf';
$string['sanitycheckfailed'] = 'Wedi methu prawf callineb: Wedi dileu\'r cynnig hwn';
$string['savechanges'] = 'Cadw\'r newidiadau';
$string['savechangesandeol'] = 'Cadw\'r holl newidiadau a mynd i ddiwedd y wers.';
$string['savepage'] = 'Cadw tudalen';
$string['score'] = 'Sgôr';
$string['scores'] = 'Sgoriau';
$string['secondpluswrong'] = 'Bron iawn. Hoffech chi roi cynnig arall arni?';
$string['selectaqtype'] = 'Dewis math o gwestiwn';
$string['shortanswer'] = 'Ateb byr';
$string['showanunansweredpage'] = 'Dangos tudalen sydd heb ei hateb';
$string['showanunseenpage'] = 'Dangos tudalen sydd heb ei gweld';
$string['singleanswer'] = 'Un ateb';
$string['skip'] = 'Hepgor llywio';
$string['slideshow'] = 'Sioe sleidiau';
$string['slideshow_help'] = 'Os yw wedi\'i alluogi, caiff y wers ei dangos fel sioe sleidiau, gyda lled ac uchder penodol.';
$string['slideshowbgcolor'] = 'Lliw cefndir y sioe sleidiau';
$string['slideshowheight'] = 'Uchder y sioe sleidiau';
$string['slideshowwidth'] = 'Lled y sioe sleidiau';
$string['startlesson'] = 'Dechrau gwers';
$string['studentattemptlesson'] = 'Rhif cynnig {$a->lastname}, {$a->firstname} yw {$a->attempt}';
$string['studentname'] = 'Enw {$a}';
$string['studentoneminwarning'] = 'Rhybudd: Mae gennych 1 funud neu lai i gwblhau\'r wers.';
$string['studentresponse'] = 'Ymateb {$a}';
$string['submit'] = 'Cyflwyno';
$string['submitname'] = 'Cyflwyno enw';
$string['teacherjumpwarning'] = 'Mae naid {$a->cluster} neu naid {$a->unseen} yn cael ei defnyddio yn y wers hon. Defnyddir y naid tudalen nesaf yn lle hynny. Gallwch fewngofnodi fel myfyriwr i brofi\'r neidiau hyn.';
$string['teacherongoingwarning'] = 'Dim ond y myfyriwr all weld y sgôr wrth fynd ymlaen. Gallwch fewngofnodi fel myfyriwr i brofi\'r drefn o sgorio wrth fynd ymlaen.';
$string['teachertimerwarning'] = 'Dim ond myfyrwyr all ddefnyddio\'r cloc amser. Profwch y cloc amser drwy fewngofnodi fel myfyriwr.';
$string['thatsthecorrectanswer'] = 'Dyna\'r ateb cywir';
$string['thatsthewronganswer'] = 'Dyna\'r ateb anghywir';
$string['thefollowingpagesjumptothispage'] = 'Mae\'r tudalennau canlynol yn neidio i\'r dudalen hon';
$string['thispage'] = 'Y dudalen hon';
$string['timeremaining'] = 'Amser sydd ar ôl';
$string['timespenterror'] = 'Dylid treulio o leiaf {$a} munud yn y wers';
$string['timespentminutes'] = 'Amser a dreuliwyd (munudau)';
$string['timetaken'] = 'Amser a gymerwyd';
$string['topscorestitle'] = 'Y {$a} sgôr uchaf';
$string['true'] = 'Gwir';
$string['truefalse'] = 'Gwir/gau';
$string['unabledtosavefile'] = 'Doedd dim modd cadw\'r ffeil rydych chi wedi\'i llwytho i fyny';
$string['unknownqtypesnotimported'] = 'Dydy\'r {$a} cwestiwn gyda mathau o gwestiynau nad oedd modd delio â nhw ddim wedi cael eu mewngludo';
$string['unseenpageinbranch'] = 'Cwestiwn heb ei weld o fewn tudalen gynnwys';
$string['unsupportedqtype'] = 'Nid yw\'r math ({$a}) o gwestiwn yn cael ei gefnogi!';
$string['updatedpage'] = 'Wedi diweddaru\'r dudalen';
$string['updatefailed'] = 'Heb lwyddo i ddiweddaru';
$string['usemaximum'] = 'Defnyddio\'r uchafswm';
$string['usemean'] = 'Defnyddio\'r cymedr';
$string['usepassword'] = 'Gwers wedi\'i diogelu gan gyfrinair';
$string['usepassword_help'] = 'Os yw wedi\'i alluogi, bydd angen cyfrinair i gael mynediad at y wers.';
$string['viewgrades'] = 'Gweld y graddau';
$string['viewhighscores'] = 'Gweld y rhestr sgoriau uchel';
$string['viewreports'] = 'Gweld {$a->attempts} cynnig {$a->student} wedi\'i gwblhau';
$string['viewreports2'] = 'Gweld {$a} cynnig wedi\'i gwblhau';
$string['welldone'] = 'Da iawn!';
$string['whatdofirst'] = 'Beth hoffech chi ei wneud yn gyntaf?';
$string['wronganswerjump'] = 'Neidio ateb anghywir';
$string['wronganswerscore'] = 'Sgôr ateb anghywir';
$string['wrongresponse'] = 'Ymateb anghywir';
$string['xattempts'] = '{$a} cynnig';
$string['youhaveseen'] = 'Rydych chi wedi gweld mwy nag un dudalen o\'r wers hon yn barod.<br />A ydych chi am ddechrau ar y dudalen ddiwethaf i chi ei gweld?';
$string['youmadehighscore'] = 'Rydych chi wedi llwyddo i gyrraedd brig y rhestr {$a} uchaf.';
$string['youranswer'] = 'Eich ateb';
$string['yourcurrentgradeis'] = 'Eich gradd gyfredol yw {$a}';
$string['yourcurrentgradeisoutof'] = 'Eich gradd gyfredol yw {$a->grade} allan o {$a->total}';
$string['youshouldview'] = 'Dylech ateb o leiaf: {$a}';
