<?php
// This file is part of Moodle - https://moodle.org/
//
// Moodle is free software: you can redistribute it and/or modify
// it under the terms of the GNU General Public License as published by
// the Free Software Foundation, either version 3 of the License, or
// (at your option) any later version.
//
// Moodle is distributed in the hope that it will be useful,
// but WITHOUT ANY WARRANTY; without even the implied warranty of
// MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
// GNU General Public License for more details.
//
// You should have received a copy of the GNU General Public License
// along with Moodle.  If not, see <https://www.gnu.org/licenses/>.

/**
 * Strings for component 'currencies', language 'cy', version '2.9'.
 *
 * @package     currencies
 * @category    string
 * @copyright   1999 Martin Dougiamas and contributors
 * @license     https://www.gnu.org/copyleft/gpl.html GNU GPL v3 or later
 */

defined('MOODLE_INTERNAL') || die();

$string['AED'] = 'Dirham Emiradau Arabaidd Unedig';
$string['AFN'] = 'Afghani Affganistan';
$string['ALL'] = 'Lec Albanaidd';
$string['AMD'] = 'Dram Armenia';
$string['ANG'] = 'Gilder yr Iseldiroedd Caribïaidd';
$string['AOA'] = 'Kwanza Angola';
$string['ARS'] = 'Peso Ariannin';
$string['AUD'] = 'Y ddoler Awstralaidd';
$string['AWG'] = 'Fflorin Arwbaidd';
$string['AZN'] = 'Manat Azerbaijan';
$string['BAM'] = 'Marc Drawsnewidiol Bosna a Hercegovina';
$string['BBD'] = 'Doler Barbados';
$string['BDT'] = 'Tac Bangladesh';
$string['BGN'] = 'Lev Bwlgaria';
$string['BHD'] = 'Dinar Bahrain';
$string['BIF'] = 'Ffranc Bwrwndi';
$string['BMD'] = 'Doler Bermwdaidd';
$string['BND'] = 'Doler Brunei';
$string['BOB'] = 'Bolifiano Bolifiaidd';
$string['BRL'] = 'Real Brasil';
$string['BSD'] = 'Doler Bahamaidd';
$string['BTN'] = 'Ngultrum Bhutan';
$string['BWP'] = 'Pula Botswana';
$string['BYR'] = 'Rwbl Belarws';
$string['BZD'] = 'Doler Belize';
$string['CAD'] = 'Doler Canada';
$string['CDF'] = 'Ffranc Congo';
$string['CHF'] = 'Ffranc Y Swistir';
$string['CLF'] = 'Unidades de Fomento Chileaidd';
$string['CLP'] = 'Peso Chileaidd';
$string['CNY'] = 'Yuan Tsieineaidd (Renminbi)';
$string['COP'] = 'Peso Colombaidd';
$string['CRC'] = 'Colon Costa Ricaidd';
$string['CUC'] = 'Peso Trawsnewidiol Cuba';
$string['CUP'] = 'Peso Ciwbaidd';
$string['CVE'] = 'Escudo Cabo Verde';
$string['CZK'] = 'Corwna Tsiecaidd';
$string['DJF'] = 'Ffranc Djibouti';
$string['DKK'] = 'Crone Danaidd';
$string['DOP'] = 'Peso Dominicaidd';
$string['DZD'] = 'Dinar Algeraidd';
$string['EGP'] = 'Punt Eifftaidd';
$string['ERN'] = 'Nakfa Eritrea';
$string['ETB'] = 'Bir Ethiopiaidd';
$string['EUR'] = 'Ewro';
$string['FJD'] = 'Doler Fiji';
$string['FKP'] = 'Punt Ynysoedd y Falkland';
$string['GBP'] = 'Sterling Prydain';
$string['GEL'] = 'Lari Georgia';
$string['GHS'] = 'Cedi Ghana';
$string['GIP'] = 'Punt Gibraltar';
$string['GMD'] = 'Dalasi Gambiaidd';
$string['GNF'] = 'Ffranc Guinea';
$string['GTQ'] = 'Cwetsal Gwatemalaidd';
$string['GYD'] = 'Doler Guyana';
$string['HKD'] = 'Doler Hong Kong';
$string['HNL'] = 'Lempira Honduras';
$string['HRK'] = 'Kuna Croatia';
$string['HTG'] = 'Gourde Haiti';
$string['HUF'] = 'Fforint Hwngaraidd';
$string['IDR'] = 'Rwpïa Indonesaidd';
$string['ILS'] = 'Shecel Israel';
$string['INR'] = 'Rwpi India';
$string['IQD'] = 'Dinar Irac';
$string['IRR'] = 'Rial Iran';
$string['ISK'] = 'Krona Gwlad yr Iâ';
$string['JMD'] = 'Doler Jamaica';
$string['JOD'] = 'Dinar Gwlad yr Iorddonen';
$string['JPY'] = 'Yen Siapaneaidd';
$string['KES'] = 'Swllt Kenya';
$string['KGS'] = 'Som Kyrgyz';
$string['KHR'] = 'Riel Cambodia';
$string['KMF'] = 'Ffranc Comoros';
$string['KPW'] = 'Won Gogledd Korea';
$string['KRW'] = 'Won De Korea';
$string['KWD'] = 'Dinar Coweit';
$string['KYD'] = 'Doler Ynysoedd Cayman';
$string['KZT'] = 'Tenge Kazakhstan';
$string['LAK'] = 'Kip Lao';
$string['LBP'] = 'Punt Libanus';
$string['LKR'] = 'Rwpi Sri Lanka';
$string['LRD'] = 'Doler Liberia';
$string['LSL'] = 'Loti Lesotho';
$string['LTL'] = 'Litas Lithuania';
$string['LVL'] = 'Lat Latvia';
$string['LYD'] = 'Dinar Libya';
$string['MAD'] = 'Dirham Moroco';
$string['MDL'] = 'Leu Moldova';
$string['MGA'] = 'Ariary Malagasy';
$string['MKD'] = 'Denar Macedonia';
$string['MMK'] = 'Kyat (Burma) Myanmar';
$string['MNT'] = 'Twgric Mongolia';
$string['MOP'] = 'Pataca Macau';
$string['MRO'] = 'Ouguiya Mawrititania';
$string['MUR'] = 'Rwpi Mauritania';
$string['MVR'] = 'Rufiyaa Maldives';
$string['MWK'] = 'Kwacha Malawi';
$string['MXN'] = 'Peso Newydd Mecsico';
$string['MYR'] = 'Ringgit Malaysia';
$string['MZN'] = 'Metical Mozambique';
$string['NAD'] = 'Doler Namibia';
$string['NGN'] = 'Naira Nigeria';
$string['NIO'] = 'Cordoba Oro Nicaragwa';
$string['NOK'] = 'Krone Norwy';
$string['NPR'] = 'Rwpi Nepal';
$string['NZD'] = 'Doler Seland Newydd';
$string['OMR'] = 'Rial Oman';
$string['PAB'] = 'Balboa Panama';
$string['PEN'] = 'Nuevo Sol Periw';
$string['PGK'] = 'Cina Papwa Gini Newydd';
$string['PHP'] = 'Peso Ynysoedd y Philipinos';
$string['PKR'] = 'Rwpi Pacistan';
$string['PLN'] = 'Zloty Gwlad Pwyl';
$string['PYG'] = 'Guarani Paraguay';
$string['QAR'] = 'Rial Qatar';
$string['RON'] = 'Leu Romania';
$string['RSD'] = 'Dinar Serbia';
$string['RUB'] = 'Rwbl Rwsia';
$string['RWF'] = 'Ffranc Rwanda';
$string['SAR'] = 'Riyal Saudi Arabia';
$string['SBD'] = 'Doler Ynysoedd Solomon';
$string['SCR'] = 'Rwpi Seychelles';
$string['SDG'] = 'Punt Sudan';
$string['SEK'] = 'Crona Swedaidd';
$string['SGD'] = 'Doler Singapore';
$string['SHP'] = 'Punt St. Helena';
$string['SLL'] = 'Leone Sierra Leone';
$string['SOS'] = 'Swllt Somalia';
$string['SRD'] = 'Doler Suriname';
$string['SSP'] = 'Punt De Sudan';
$string['STD'] = 'Dobra Sao Tome a Principe';
$string['SVC'] = 'Colon El Salvador';
$string['SYP'] = 'Punt Syria';
$string['SZL'] = 'Lilangeni Swazi';
$string['THB'] = 'Baht Thai';
$string['TJS'] = 'Somoni Tajikistan';
$string['TMT'] = 'Manat Turkmenistan';
$string['TND'] = 'Dinar Tiwnisia';
$string['TOP'] = 'Pa\'anga Tonga';
$string['TRY'] = 'Lira Twrci';
$string['TTD'] = 'Doler Trinidad a Tobago';
$string['TWD'] = 'Doler Taiwan';
$string['TZS'] = 'Swllt Tanzania';
$string['UAH'] = 'Hryvnia Ukarania';
$string['UGX'] = 'Swllt Uganda';
$string['USD'] = 'Doler UDA';
$string['UYU'] = 'Peso Uruguay';
$string['UZS'] = 'Sum Uzbekistani';
$string['VEF'] = 'Fuerte Bolivar Feneswalaidd';
$string['VND'] = 'Dong Fietnam';
$string['VUV'] = 'Vatu Vanuatu';
$string['WST'] = 'Tala Samoa';
$string['XAF'] = 'BEAC Franc CFA';
$string['XCD'] = 'Dollar Dwyrain y Caribî';
$string['XOF'] = 'BCEAO Franc CFA';
$string['XPF'] = 'Franc CFP';
$string['YER'] = 'Rial Yemen';
$string['ZAR'] = 'Rand De Affrica';
$string['ZMK'] = 'Kwacha Zambia';
$string['ZWL'] = 'Dollar Zimbabwe';
