<?php
// This file is part of Moodle - https://moodle.org/
//
// Moodle is free software: you can redistribute it and/or modify
// it under the terms of the GNU General Public License as published by
// the Free Software Foundation, either version 3 of the License, or
// (at your option) any later version.
//
// Moodle is distributed in the hope that it will be useful,
// but WITHOUT ANY WARRANTY; without even the implied warranty of
// MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
// GNU General Public License for more details.
//
// You should have received a copy of the GNU General Public License
// along with Moodle.  If not, see <https://www.gnu.org/licenses/>.

/**
 * Strings for component 'resource', language 'cy', version '2.9'.
 *
 * @package     resource
 * @category    string
 * @copyright   1999 Martin Dougiamas and contributors
 * @license     https://www.gnu.org/copyleft/gpl.html GNU GPL v3 or later
 */

defined('MOODLE_INTERNAL') || die();

$string['clicktodownload'] = 'Cliciwch y ddolen {$a} i lwytho\'r ffeil i lawr.';
$string['clicktoopen2'] = 'Cliciwch y ddolen {$a} i weld y ffeil.';
$string['configdisplayoptions'] = 'Dewiswch bob dewis y dylai fod ar gael. Fydd y gosodiadau presennol ddim yn cael eu haddasu. Pwyswch y fysell CTRL a\'i dal i lawr i ddewis mwy nag un maes.';
$string['configframesize'] = 'Pan gaiff tudalen we neu ffeil a lwythwyd i fyny eu dangos mewn ffrâm, y gwerth hwn (mewn picseli) fydd maint y ffrâm dop (sy\'n cynnwys y bar llywio).';
$string['configparametersettings'] = 'Hwn sy\'n gosod y gwerth diofyn ar gyfer cwarel gosodiadau\'r Paramedr yn y ffurflen wrth ychwanegu rhai adnoddau newydd. Ar ôl y tro cyntaf, y gwerth hwn fydd hoff ddewis y defnyddiwr.';
$string['configpopup'] = 'Wrth ychwanegu adnodd newydd sy\'n gallu ymddangos mewn ffenestri powld, a ddylid galluogi\'r dewis hwn yn ddiofyn?';
$string['configpopupdirectories'] = 'A ddylai ffenestri powld ddangos dolenni at gyfeiriaduron yn ddiofyn?';
$string['configpopupheight'] = 'Pa uchder ddylai ffenestri powld newydd fod yn ddiofyn?';
$string['configpopuplocation'] = 'A ddylai ffenestri powld ddangos y bar lleoliad yn ddiofyn?';
$string['configpopupmenubar'] = 'A ddylai ffenestri powld ddangos y bar dewislen yn ddiofyn?';
$string['configpopupresizable'] = 'A ddylid gallu newid maint ffenestri powld yn ddiofyn?';
$string['configpopupscrollbars'] = 'A ddylid gallu sgrolio ar ffenestri powld yn ddiofyn?';
$string['configpopupstatus'] = 'A ddylai ffenestri powld ddangos y bar statws yn ddiofyn?';
$string['configpopuptoolbar'] = 'A ddylai ffenestri powld ddangos y bar offer yn ddiofyn?';
$string['configpopupwidth'] = 'Pa led ddylai ffenestri powld newydd fod yn ddiofyn?';
$string['contentheader'] = 'Cynnwys';
$string['displayoptions'] = 'Dewisiadau dangos sydd ar gael';
$string['displayselect'] = 'Dangos';
$string['displayselect_help'] = 'Mae\'r gosodiad hwn, y math o ffeil, ac a yw\'r porwr yn galluogi gwreiddio ffeil, yn pennu sut bydd y ffeil yn ymddangos. Dyma\'r dewisiadau:

* Awtomatig - Bydd y dewis gorau ar gyfer y math o ffeil yn cael ei ddewis yn awtomatig

* Gwreiddio - Bydd y ffeil yn ymddangos yn y dudalen o dan y bar llywio yn ogystal â disgrifiad y ffeil ac unrhyw flociau

* Gorfodi llwytho i lawr - Gofynnir i\'r defnyddiwr lwytho\'r ffeil i lawr

* Agor - Dim ond y ffeil sy\'n ymddangos yn ffenestr y porwr

* Mewn ffenestr naid - Bydd y ffeil yn ymddangos mewn ffenestr porwr newydd heb ddewislenni na bar cyfeiriad

* Mewn ffrâm - Bydd y ffeil yn ymddangos mewn ffrâm o dan y bar llywio a disgrifiad y ffeil

* Ffenestr newydd - Bydd y ffeil yn ymddangos mewn ffenestr porwr newydd gyda dewislenni a\'r bar cyfeiriad';
$string['displayselect_link'] = 'mod/file/mod';
$string['displayselectexplain'] = 'Dewiswch sut i arddangos. Yn anffodus nid yw pob math yn addas ar gyfer pob ffeil.';
$string['encryptedcode'] = 'Cod wedi\'i amgryptio';
$string['filenotfound'] = 'Heb ganfod ffeil yn anffodus';
$string['filterfiles'] = 'Defnyddio hidlyddion ar gynnwys ffeil';
$string['filterfilesexplain'] = 'Dewiswch ddull hidlo ar gyfer cynnwys math o ffeil. Cofiwch y gallai hyn achosi problemau i rai rhaglenni Flash a Java. Gwnewch yn siŵr fod yr holl ffeiliau testun mewn cod UTF-8.';
$string['filtername'] = 'Creu dolenni at enwau adnodd yn awtomatig';
$string['forcedownload'] = 'Gorfodi llwytho i lawr';
$string['framesize'] = 'Uchder y ffrâm';
$string['legacyfiles'] = 'Mudo hen ffeil cwrs';
$string['legacyfilesactive'] = 'Ar waith';
$string['legacyfilesdone'] = 'Wedi gorffen';
$string['modulename'] = 'Ffeil';
$string['modulename_link'] = 'mod/resource/view';
$string['modulenameplural'] = 'Ffeiliau';
$string['notmigrated'] = 'Yn anffodus, dydy\'r hen fath hwn o adnodd ({$a}) ddim wedi\'i fudo eto.';
$string['optionsheader'] = 'Dewisiadau';
$string['page-mod-resource-x'] = 'Unrhyw dudalen modiwl ffeil';
$string['pluginadministration'] = 'Gweinyddu\'r Modiwl Ffeiliau';
$string['pluginname'] = 'Adnodd';
$string['popupheight'] = 'Uchder ffenestr naid (mewn picseli)';
$string['popupheightexplain'] = 'Mae hwn yn pennu uchder diofyn ffenestri naid.';
$string['popupresource'] = 'Dylai\'r adnodd hwn ymddangos mewn ffenestr powld.';
$string['popupresourcelink'] = 'Os na wnaethoch, cliciwch yma: {$a}';
$string['popupwidth'] = 'Lled ffenestr naid (mewn picseli)';
$string['popupwidthexplain'] = 'Mae hwn yn pennu lled ddiofyn ffenestri naid.';
$string['printintro'] = 'Dangos disgrifiad adnodd';
$string['printintroexplain'] = 'Dangos disgrifiad yr adnodd o dan y cynnwys? Mae\'n bosib na fydd rhai dewisiadau\'n gallu dangos disgrifiad yr adnodd hyd yn oed os yw wedi\'i alluogi.';
$string['resource:exportresource'] = 'Allgludo adnodd';
$string['resource:view'] = 'Gweld adnodd';
$string['resourcecontent'] = 'Ffeiliau ac isffolderi';
$string['selectmainfile'] = 'Dewiswch y brif ffeil drwy glicio\'r eicon nesaf at enw\'r ffeil.';
